
D4Science Infrastructure - Incident #9825

Etics: nightly builds don't work

Sep 27, 2017 10:09 AM - Roberto Cirillo

Status: Closed Start date: Sep 27, 2017

Priority: Urgent Due date:  

Assignee: Maria Di Girolamo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

4.7.0

  

Infrastructure: Pre-Production, Production   

Description

The last smartgears build was started on 24 September while the last gCore build was started on 25 September.

Tomorrow we have the upgrade in preproduction but at the moment we haven't a complete build. Please could you check this issue?

http://eticsbuild2.research-infrastructures.eu:8080/BuildReport/home/AllBuilds/org.gcube.4-7-0

http://eticsbuild2.research-infrastructures.eu:8080/BuildReport/home/AllBuilds/org.gcube.4-7-0-gco

re

History

#1 - Sep 27, 2017 10:43 AM - Maria Di Girolamo

- Assignee changed from Gabriele Giammatteo to Maria Di Girolamo

Yesterday , buidl12 was not completed in time (all day is taken, yesterday).

This is the reason of the missing the build is missing and an overlapping with the last nightly-build is occurred.

The issue is resolved but we wait next nightly build that everything is ok.

A dedicated  build can be done.

#2 - Sep 27, 2017 10:44 AM - Maria Di Girolamo

- Status changed from New to In Progress

- % Done changed from 0 to 100

#3 - Sep 28, 2017 10:03 AM - Dimitris Katris

Hello everyone,

Even if in the build report we see that Build 12 was performed successfully, the generated archives that contain the war and jar files are missing.

e.g. 

http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.4-7-0/BUILD_12/dist/org.gcube/org.gcube.investment-analysi

s.techno-economic-analysis-service/2.5.0/sl5_x86_64_gcc412/org.gcube.investment-analysis.techno-economic-analysis-service-2.5.0-0.tar.gz

and

http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.4-7-0/BUILD_12/dist/org.gcube/org.gcube.geoanalytics.geoa

nalytics/2.4.0/sl5_x86_64_gcc412/org.gcube.geoanalytics.geoanalytics-2.4.0-SNAPSHOT.tar.gz

Is this problem going to be fixed in the next build? Can we find these archives in another location?

#4 - Sep 28, 2017 12:04 PM - Maria Di Girolamo

Hi Dimitris,

the files should be found in the correct path, now.

I apologize, but ome activities has been necessary due to the lack of disk space. The problem,now, is fixed and tomorrow should have the regular

situation.

In any case alls file can be found in the Nexus (gCube Staging All) : 

http://maven.research-infrastructures.eu/nexus/index.html#view-repositories;gcube-staging-all~browsestorage (gCube Staging All).

In your case , you can find the war file here: gCubeStagingAll -> gr -> cite -> bluebridge -> analytics ->techno-economic-analysis-service ->

2.5.0-4.7.0-154563 ->techno-economic-analysis-service-2.5.0-4.7.0-154563.war

and

gCubeStagingAll -> /gr/cite/geoanalytics/geoanalytics/2.4.0-4.7.0-154582/geoanalytics-2.4.0-4.7.0-154582.war

#5 - Oct 02, 2017 02:57 PM - Pasquale Pagano

- Status changed from In Progress to Closed
http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.4-7-0/BUILD_12/dist/org.gcube/org.gcube.investment-analysis.techno-economic-analysis-service/2.5.0/sl5_x86_64_gcc412/org.gcube.investment-analysis.techno-economic-analysis-service-2.5.0-0.tar.gz
http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.4-7-0/BUILD_12/dist/org.gcube/org.gcube.investment-analysis.techno-economic-analysis-service/2.5.0/sl5_x86_64_gcc412/org.gcube.investment-analysis.techno-economic-analysis-service-2.5.0-0.tar.gz
http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.4-7-0/BUILD_12/dist/org.gcube/org.gcube.geoanalytics.geoanalytics/2.4.0/sl5_x86_64_gcc412/org.gcube.geoanalytics.geoanalytics-2.4.0-SNAPSHOT.tar.gz
http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.4-7-0/BUILD_12/dist/org.gcube/org.gcube.geoanalytics.geoanalytics/2.4.0/sl5_x86_64_gcc412/org.gcube.geoanalytics.geoanalytics-2.4.0-SNAPSHOT.tar.gz
http://maven.research-infrastructures.eu/nexus/index.html#view-repositories;gcube-staging-all%7Ebrowsestorage


I don't understand why this incident is still open. I am going to close it but please net time close the issue as soon as possible. 
